/*MT*
    
    MediaTomb - http://www.mediatomb.cc/
    
    stringinput.h - this file is part of MediaTomb.
    
    Copyright (C) 2005 Gena Batyan <bgeradz@mediatomb.cc>,
                       Sergey 'Jin' Bostandzhyan <jin@mediatomb.cc>
    
    Copyright (C) 2006-2007 Gena Batyan <bgeradz@mediatomb.cc>,
                            Sergey 'Jin' Bostandzhyan <jin@mediatomb.cc>,
                            Leonhard Wimmer <leo@mediatomb.cc>
    
    MediaTomb is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License version 2
    as published by the Free Software Foundation.
    
    MediaTomb is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
    
    You should have received a copy of the GNU General Public License
    version 2 along with MediaTomb; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.
    
    $Id: stringinput.h 1340 2007-06-04 12:22:57Z lww $
*/

/// \file stringinput.h

#ifndef __MXML_STRINGINPUT_H__
#define __MXML_STRINGINPUT_H__

#include "zmmf/zmmf.h"
#include "input.h"

namespace mxml
{

class StringInput : public Input
{
protected:
    zmm::String str;
    char *ptr;
public:
    StringInput(zmm::String str);
    virtual int readChar();
};

}

#endif // __MXML_STRINGINPUT_H__
